package org.springblade.modules.app.service;

import org.springblade.modules.app.entity.PaymentAccount;
import org.springblade.modules.app.vo.NotifyVo;
import org.springblade.modules.app.vo.PaymentAccountVO;
import org.springblade.modules.app.vo.SignContractVo;
import org.springblade.modules.app.vo.SmartPayVo;

import java.util.List;

public interface IPayService {
    Boolean sendSms(String mobile,Integer type);
    Boolean signAccount(SignContractVo signContractVo);
    Boolean cancelAccount(SignContractVo signContractVo);
    String quickPayOrder(SmartPayVo smartPayVo);
    Boolean quickPay(SmartPayVo smartPayVo);
    void payNotify(NotifyVo notifyVo);
    void addPayAccount(PaymentAccountVO paymentAccount);
    List<PaymentAccount> accountList(SmartPayVo smartPayVo);
}
